Bug 8957 - installer should label partitions
installer should label partitions
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-28 22:38 EST by Stig Hackvan
Modified: 2015-01-07 18:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-12 19:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2000-01-28 22:38:12 EST
the installer should label the partitions it creates.  it's a useful
convention that's also supported by cfdisk.

another thing this does is provide hints for the installer upon
re-installation...

	stig


example:


## stig/jato (pts/4) -- Fri Jan 28 -- 19:16:48 ##
## jato: /tmp >> mount | sed -n 's,\(/dev/hda.\) on \([^ ]*\) type
ext2.*,tune2fs -L \2 \1,p'
tune2fs -L / /dev/hda5
tune2fs -L /boot /dev/hda1
tune2fs -L /m2 /dev/hda6
tune2fs -L /m3 /dev/hda3


gets you:

t checked:             Mon Jan 24 13:02:28 2000
                                         cfdisk 2.9w

                                     Disk Drive: /dev/hda
                                   Size: 36529274880 bytes
                     Heads: 16   Sectors per Track: 63   Cylinders: 70780

    Name          Flags        Part Type    FS Type
[Label]           Size (MB)

--------------------------------------------------------------------------------------------
    hda1          Boot          Primary     Linux ext2
[/boot]              100.13       hda5                        Logical
Linux ext2          [/]                 3000.07
    hda6                        Logical     Linux ext2
[/m2]               4999.94
    hda3                        Primary     Linux ext2
[/m3]               8000.01
    hda4                        Primary     Linux ext2
[/m4]              20429.15
Comment 1 Michael Fulbright 2000-03-07 15:47:59 EST
This request will be added to the future features list.
Comment 2 Erik Troan 2000-05-01 16:49:59 EDT
Done for next release.

Note You need to log in before you can comment on or make changes to this bug.